AlliedModders

AlliedModders (https://forums.alliedmods.net/index.php)
-   SourceBans / SourceBans++ (https://forums.alliedmods.net/forumdisplay.php?f=152)
-   -   Can't compile for 1.7 (https://forums.alliedmods.net/showthread.php?t=328419)

Sincronic 11-08-2020 11:20

Can't compile for 1.7
 
Can someone help me with plugins for 1.7 ?

https://github.com/sbpp/sourcebans-p...emod/scripting

Code:

//// sbpp_admcfg.sp
//
// sbpp_admcfg/sbpp_admin_groups.sp(110) : error 104: cannot find any methods for GroupId
// sbpp_admcfg/sbpp_admin_groups.sp(110) : warning 215: expression has no effect
// sbpp_admcfg/sbpp_admin_groups.sp(110) : warning 215: expression has no effect
// sbpp_admcfg/sbpp_admin_groups.sp(110) : error 001: expected token: ";", but found ")"
// sbpp_admcfg/sbpp_admin_groups.sp(110) : error 029: invalid expression, assumed zero
// sbpp_admcfg/sbpp_admin_groups.sp(110) : fatal error 189: too many error messages on one line
//
// Compilation aborted.
// 4 Errors.
//
// Compilation Time: 0.14 sec
// ----------------------------------------

//// sbpp_checker.sp
// Already compiled.
// ----------------------------------------

//// sbpp_comms.sp
//
// F:\Octa\CS gO\sourcemod-1.9.0-git6269-windows\addons\sourcemod\scripting\include\basecomm.inc(44) : error 147: new-style declarations are required
// F:\Octa\CS gO\sourcemod-1.9.0-git6269-windows\addons\sourcemod\scripting\include\basecomm.inc(52) : error 147: new-style declarations are required
// F:\Octa\CS gO\sourcemod-1.9.0-git6269-windows\addons\sourcemod\scripting\include\basecomm.inc(60) : error 147: new-style declarations are required
// F:\Octa\CS gO\sourcemod-1.9.0-git6269-windows\addons\sourcemod\scripting\include\basecomm.inc(68) : error 147: new-style declarations are required
// F:\Octa\CS gO\sourcemod-1.9.0-git6269-windows\addons\sourcemod\scripting\include\basecomm.inc(77) : error 147: new-style declarations are required
// F:\Octa\CS gO\sourcemod-1.9.0-git6269-windows\addons\sourcemod\scripting\include\basecomm.inc(86) : error 147: new-style declarations are required
// F:\Octa\CS gO\sourcemod-1.9.0-git6269-windows\addons\sourcemod\scripting\include\basecomm.inc(90) : error 147: new-style declarations are required
// F:\Octa\CS gO\sourcemod-1.9.0-git6269-windows\addons\sourcemod\scripting\include\topmenus.inc(409) : error 147: new-style declarations are required
// F:\Octa\CS gO\sourcemod-1.9.0-git6269-windows\addons\sourcemod\scripting\include\topmenus.inc(426) : error 147: new-style declarations are required
// F:\Octa\CS gO\sourcemod-1.9.0-git6269-windows\addons\sourcemod\scripting\include\adminmenu.inc(96) : error 147: new-style declarations are required
// F:\Octa\CS gO\sourcemod-1.9.0-git6269-windows\addons\sourcemod\scripting\include\adminmenu.inc(112) : error 147: new-style declarations are required
// F:\Octa\CS gO\sourcemod-1.9.0-git6269-windows\addons\sourcemod\scripting\include\adminmenu.inc(122) : error 147: new-style declarations are required
// F:\Octa\CS gO\sourcemod-1.9.0-git6269-windows\addons\sourcemod\scripting\include\adminmenu.inc(134) : error 147: new-style declarations are required
// F:\Octa\CS gO\sourcemod-1.9.0-git6269-windows\addons\sourcemod\scripting\include\adminmenu.inc(146) : error 147: new-style declarations are required
// sbpp_comms.sp(580) : error 100: function prototypes do not match
// sbpp_comms.sp(585) : error 100: function prototypes do not match
// sbpp_comms.sp(586) : error 100: function prototypes do not match
// sbpp_comms.sp(587) : error 100: function prototypes do not match
// sbpp_comms.sp(588) : error 100: function prototypes do not match
// sbpp_comms.sp(589) : error 100: function prototypes do not match
// sbpp_comms.sp(590) : error 100: function prototypes do not match
// sbpp_comms.sp(591) : error 100: function prototypes do not match
// sbpp_comms.sp(1513) : error 139: could not find type "DataPackPos"
// sbpp_comms.sp(2812) : error 104: cannot find any methods for AdminId
// sbpp_comms.sp(2812) : error 001: expected token: "(", but found ";"
// sbpp_comms.sp(2813) : error 104: cannot find any methods for AdminId
//
// Compilation aborted.
// 26 Errors.
//
// Compilation Time: 0.28 sec
// ----------------------------------------

//// sbpp_main.sp
//
// sbpp_main.sp(344) : error 180: function return type differs from prototype. expected 'int', but got 'void'
// sbpp_main.sp(735 -- 737) : error 100: function prototypes do not match
// sbpp_main.sp(1729) : error 104: cannot find any methods for AdminId
// sbpp_main.sp(1729) : warning 215: expression has no effect
// sbpp_main.sp(1729) : warning 215: expression has no effect
// sbpp_main.sp(1729) : error 001: expected token: ";", but found ")"
// sbpp_main.sp(1729) : error 029: invalid expression, assumed zero
// sbpp_main.sp(1729) : fatal error 189: too many error messages on one line
//
// Compilation aborted.
// 6 Errors.


DarkDeviL 11-08-2020 17:00

Re: Can't compile for 1.7
 
Quote:

Originally Posted by Sincronic (Post 2724224)
Can someone help me with plugins for 1.7 ?

Quote:

Originally Posted by Sincronic (Post 2724224)
Code:

// F:\Octa\CS gO\sourcemod-1.9.0-git6269-windows\addons\sourcemod\scripting\include\basecomm.inc(44) : error 147: new-style declarations are required

Life would be so much easier for you, if you moved out of the stone age and took the newest versions of everything.

That would be, all the way from the server itself towards SourceMod, and the plugins you're trying to use.

Sincronic 11-09-2020 15:33

Re: Can't compile for 1.7
 
Quote:

Originally Posted by DarkDeviL (Post 2724295)
Life would be so much easier for you, if you moved out of the stone age and took the newest versions of everything.

That would be, all the way from the server itself towards SourceMod, and the plugins you're trying to use.

My bad.. yea i was using the old version of sourcemode.

Thanks !


All times are GMT -4. The time now is 15:00.

Powered by vBulletin®
Copyright ©2000 - 2021, vBulletin Solutions, Inc.